import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # General Footer
 * @className twui-footer
 */
export default function Footer({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLElement>, HTMLElement>) {
    return (
        <footer
            {...props}
            className={twMerge(
                "flex flex-col items-center justify-center",
                "px-4 sm:px-10 py-2",
                "border-0 border-b border-slate-200 border-solid",
                "twui-footer",
                props.className
            )}
        >
            {props.children}
        </footer>
    );
}
