import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # H3 Headers
 * @className twui-h3
 */
export default function H3({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>) {
    return (
        <h3
            {...props}
            className={twMerge("text-xl mb-4", "twui-h3", props.className)}
        >
            {props.children}
        </h3>
    );
}
