import { DetailedHTMLProps, HTMLAttributes } from "react";
import { twMerge } from "tailwind-merge";

/**
 * # H4 Headers
 * @className twui-h4
 */
export default function H4({
    ...props
}: DetailedHTMLProps<HTMLAttributes<HTMLHeadingElement>, HTMLHeadingElement>) {
    return (
        <h4
            {...props}
            className={twMerge("text-base mb-4", "twui-h4", props.className)}
        >
            {props.children}
        </h4>
    );
}
